package com.zcloud.service.bus;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/** 
 * 说明：作业项数据清除(多项目通用)
 * 作者：zy
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface AllWorkItemService{

	/**删除有限空间审批单（pro端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteProLimitspace(PageData pd)throws Exception;

	/**删除有限空间审批单记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConLog(PageData pd)throws Exception;

	/**删除有限空间审批单安全措施（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConMeth(PageData pd)throws Exception;

	/**删除有限空间审批单审核记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConAudit(PageData pd)throws Exception;

	/**删除有限空间审批单审核记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbConGas(PageData pd)throws Exception;

	/**删除有限空间审批单（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteYjbCon(PageData pd)throws Exception;
	
	
	

	public void deleteYjbHighLog(PageData pd)throws Exception;
	public void deleteYjbHighAudit(PageData pd)throws Exception;
	public void deleteYjbHighApprove(PageData pd)throws Exception;
	public void deleteYjbHighCheck(PageData pd)throws Exception;
	public void deleteYjbHotLog(PageData pd)throws Exception;
	public void deleteYjbHotAudit(PageData pd)throws Exception;
	public void deleteYjbHotGas(PageData pd)throws Exception;
	public void deleteYjbHotMeth(PageData pd)throws Exception;
	public void deleteYjbHotCheck(PageData pd)throws Exception;
	public void deleteYjbBlindLog(PageData pd)throws Exception;
	public void deleteYjbBlindAudit(PageData pd)throws Exception;
	public void deleteYjbBlindUnit(PageData pd)throws Exception;
	public void deleteYjbBlindMeth(PageData pd)throws Exception;
	public void deleteYjbBlindCheck(PageData pd)throws Exception;
}

